import { EventEmitter } from '@angular/core';
import { IconCacheService } from "../../../../../service/icon-cache.service";
import { Icon } from "../../../../../enum/icon.enum";
export declare class DefaultConfirmCancelButtonsComponent {
    iconCacheService: IconCacheService;
    readonly icons: typeof Icon;
    disabled: boolean;
    handleConfirmButtonClicked: EventEmitter<void>;
    handleCancelButtonClicked: EventEmitter<void>;
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService);
    confirmButtonClicked(): void;
    cancelButtonClicked(): void;
}
